Amazon Linux 2:ant (ALAS-2022-1880)

medium Nessus Plugin ID 168454

Synopsis

遠端 Amazon Linux 2 主機缺少安全性更新。

描述

遠端主機上安裝的 ant 版本低於 1.9.16-1。因此,它受到 ALAS2-2022-1880 公告中提及的一個弱點影響。

- 讀取特製的 ZIP 封存或某一衍生的格式時,可以使 Apache Ant 組建配置大量記憶體 (即使是非常小的輸入亦如此),這會導致記憶體不足錯誤。攻擊者可利用此錯誤來中斷使用 Apache Ant 的組建。常用的 ZIP 封存衍生格式有 JAR 檔案和許多 office 檔案。受此影響的是 Apache Ant 1.9.16 之前版本和 1.10.11 版。(CVE-2021-36374)

請注意,Nessus 並未測試此問題,而是僅依據應用程式自我報告的版本號碼作出判斷。

解決方案

執行「yum update ant」以更新系統。

另請參閱

https://alas.aws.amazon.com/cve/html/CVE-2021-36374.html

https://alas.aws.amazon.com/AL2/ALAS-2022-1880.html

Plugin 詳細資訊

嚴重性: Medium

ID: 168454

檔案名稱: al2_ALAS-2022-1880.nasl

版本: 1.2

類型: local

代理程式: unix

已發布: 2022/12/7

已更新: 2022/12/7

支持的傳感器: Frictionless Assessment AWS, Frictionless Assessment Agent, Nessus Agent, Agentless Assessment

風險資訊

VPR

風險因素: Medium

分數: 5.1

CVSS v2

風險因素: Medium

基本分數: 4.3

時間分數: 3.2

媒介: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P

時間媒介: CVSS2#E:U/RL:OF/RC:C

CVSS 評分資料來源: CVE-2021-36374

CVSS v3

風險因素: Medium

基本分數: 5.5

時間分數: 4.8

媒介: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

時間媒介: CVSS:3.0/E:U/RL:O/RC:C

弱點資訊

CPE: cpe:2.3:o:amazon:linux:2:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:ant:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:ant-antlr:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:ant-apache-bcel:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:ant-apache-bsf:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:ant-apache-log4j:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:ant-apache-oro:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:ant-apache-regexp:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:ant-apache-resolver:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:ant-apache-xalan2:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:ant-commons-logging:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:ant-commons-net:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:ant-javadoc:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:ant-javamail:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:ant-jdepend:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:ant-jmf:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:ant-jsch:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:ant-junit:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:ant-manual:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:ant-swing:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:ant-testutil:*:*:*:*:*:*:*

必要的 KB 項目: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2022/12/1

弱點發布日期: 2021/7/14

參考資訊

CVE: CVE-2021-36374